package cn.newfeifan.mall.module.distri.dal.dataobject.ptprofitlog;

import lombok.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.newfeifan.mall.framework.mybatis.core.dataobject.BaseDO;

/**
 * 平台利润记录 DO
 *
 * @author 非繁人
 */
@TableName("distri_pt_profit_log")
@KeySequence("distri_pt_profit_log_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class PtProfitLogDO extends BaseDO {

    /**
     * 用户编号
     */
    @TableId
    private Long id;
    /**
     * 增加金额
     */
    private Long amount;
    /**
     * 增加后金额
     */
    private Long afterAmount;
    /**
     * 收益类型 1:平台服务器费 2:平台收益 3用户下单返回毛利额度 4直推人额度 5合赢奖
     */
    private Integer profitStatus;
    /**
     * 用户ID , 只有收益类型为 3,4才有值
     */
    private Long userId;

    /**
     * 订单Id
     */
    private Long orderId;
    /**
     * 订单编号
     */
    private String orderNo;
    /**
     * 计算百分比模板
     */
    private String percentTemplate;


}