package cn.newfeifan.mall.module.trade.controller.admin.ordercallbacklogs.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 第三方回调日志 Response VO")
@Data
@ExcelIgnoreUnannotated
public class OrderCallbackLogsRespVO {

    @Schema(description = "订单ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "27271")
    @ExcelProperty("订单ID")
    private String orderId;

    @Schema(description = "回调推送参数体", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("回调推送参数体")
    private String requestParam;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

    @Schema(description = "回调编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "20993")
    @ExcelProperty("回调编号")
    private Long id;

    @Schema(description = "回调响应体")
    @ExcelProperty("回调响应体")
    private String responseBody;

    @Schema(description = "回调状态，失败是0，成功是1", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    @ExcelProperty("回调状态，失败是0，成功是1")
    private Boolean status;

}