package cn.newfeifan.mall.module.trade.controller.admin.ordercallbacklogs.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import javax.validation.constraints.*;

@Schema(description = "管理后台 - 第三方回调日志新增/修改 Request VO")
@Data
public class OrderCallbackLogsSaveReqVO {

    @Schema(description = "订单ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "27271")
    @NotEmpty(message = "订单ID不能为空")
    private String orderId;

    @Schema(description = "回调推送参数体", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotEmpty(message = "回调推送参数体不能为空")
    private String requestParam;

    @Schema(description = "回调编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "20993")
    private Long id;

    @Schema(description = "回调响应体")
    private String responseBody;

    @Schema(description = "回调状态，失败是0，成功是1", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    @NotNull(message = "回调状态，失败是0，成功是1不能为空")
    private Boolean status;

}